### Function

# GLib NodeForeachFunc

#### Declaration

    void
    (* GNodeForeachFunc) (
      GNode* node,
      gpointer data
    )

#### Description

Specifies the type of function passed to g_node_children_foreach(). The function is called with each child node, together with the user data passed to g_node_children_foreach().

#### Parameters

`node`

  Type: `GNode`

  A `GNode`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data passed to g_node_children_foreach().

  The argument can be `NULL`.
  The data is owned by the caller of the function.